using MemoryPack;

namespace Insight.Domain.Messages.Agent;

[MemoryPackable]
public partial class Printer : IMessage
{
    [MemoryPackOrder(0)]
    public string? Name { get; set; }

    [MemoryPackOrder(1)]
    public string? Driver { get; set; }

    [MemoryPackOrder(2)]
    public string? Port { get; set; }

    [MemoryPackOrder(3)]
    public string? Location { get; set; }

    [MemoryPackOrder(4)]
    public string? Comment { get; set; }
}

[MemoryPackable(GenerateType.Collection)]
public partial class PrinterList : List<Printer>, IMessage { }